6

11.2: Compiz stopped working

view full story
linux-howto

http://forums.opensuse.org – I've just installed openSUSE 11.2 a few weeks ago, and have been very happy with it, aside from occasional dependency issues.However, about a week ago, compiz completely stopped worked for no discernible reason. When I launch simple-ccsm and try to enable compiz, it tells me that I suddenly don't have the correct hardware, and I get this terminal output: Quote: michael@linux-dlhi:~> simple-ccsm /usr/bin/simple-ccsm:40: DeprecationWarning: Use the new widget gtk.Tooltip Tooltips = gtk.Tooltips() /usr/bin/simple-ccsm:182: DeprecationWarning: Use the new widget gtk.Tooltip Tooltips = gtk.Tooltips() /usr/bin/simple-ccsm:426: DeprecationWarning: Use the new widget gtk.Tooltip Tooltips.set_tip(self, _("Disabled")) /usr/bin/simple-ccsm:423: DeprecationWarning: Use the new widget gtk.Tooltip Tooltips.set_tip(self, _("Enabled")) which: no kwin in (/home/michael/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/games:/usr/lib64/jvm/jre/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin:.) Checking for Xdmx: not present. Checking for Xgl: not present. xset q doesn't reveal the location of the log file. Using fallback /var/log/Xorg.0.log Detected PCI ID for VGA: 00:02.0 0300: 8086:2a02 (rev 03) (prog-if 00 [VGA controller]) Checking for software rasterizer: present. Dry run failed: Problems detected with 3D support.'nwhich: no kwin in (/home/michael/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/games:/usr/lib64/jvm/jre/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin:.) Checking for Xdmx: not present. Checking for Xgl: not present. xset q doesn't reveal the location of the log file. Using fallback /var/log/Xorg.0.log Detected PCI ID for VGA: 00:02.0 0300: 8086:2a02 (rev 03) (prog-if 00 [VGA controller]) Checking for software rasterizer: present. SKIP_CHECKS is yes, so continuing despite problems. Checking for nVidia: not present. Checking for FBConfig: present. Checking for Xgl: not present. 16299 /usr/bin/compiz (core) - Error: Plugin 'core' has ABI version '20081121', expected ABI version '20090619'. /usr/bin/compiz (kdecompat) - Error: InitObject failed /usr/bin/compiz (core) - Error: Couldn't activate plugin 'kdecompat' /usr/bin/compiz (core) - Fatal: glXBindTexImageEXT is missing /usr/bin/compiz (core) - Error: Failed to manage screen: 0 /usr/bin/compiz (core) - Fatal: No manageable screens found on display Obviously, this is not a debilitating issue, but it is annoying and I would like to see it resolved. Thanks in advance for any help anyone can provide. (Distributions)